*************************************************************************************
*														*
*	Mouse routines.											*
*														*
*	initialsie the mouse interrupt								*
*	handle the mouse interrupt									*
*	update the mouse position									*
*														*
*************************************************************************************
*
* initialise the mouse routine

mouse_init
	LEA		mouse_interrupt(pc),a0	* get the mouse interrupt routine address
	MOVE.l	a0,$64.w			* save the mouse interrupt vector

	MOVE.w	#$0101,d1			* interrupt for mouse down
	MOVEQ		#60,d0			* set mouse interrupt
	TRAP		#15

	MOVEQ		#0,d0				* clear d0
	MOVE.w	d0,button_l(a3)		* clear the left button flag
	MOVE.w	d0,button_r(a3)		* clear the right button flag
	RTS


*************************************************************************************
*
* mouse interrupt

mouse_interrupt
	MOVEM.l	d0-d1,-(sp)			* save the registers

	MOVEQ		#2,d1				* mouse down state
	MOVEQ		#61,d0			* read the mouse
	TRAP		#15

	MOVEQ		#-1,d1			* set for flag save
	BTST		#0,d0				* was it the left button
	BEQ.s		not_button_l		* if not skip the flag set

	MOVE.w	d1,button_l(a3)		* set the left button flag
not_button_l
	BTST		#1,d0				* was it the right button
	BEQ.s		not_button_r		* if not skip the flag set

	MOVE.w	d1,button_r(a3)		* set the right button flag
not_button_r
	MOVEM.l	(sp)+,d0-d1			* restore the registers
	RTE


*************************************************************************************
*
* update the mouse position

mouse_move
	MOVEQ 	#0,d1				* read mouse state
	MOVEQ 	#61,d0			* read the mouse
	TRAP		#15

	MOVE.w	d1,mousex(a3)		* save mouse x
	SWAP		d1				* move mouse y to low word
	MOVE.w	d1,mousey(a3)		* save mouse y

	RTS


*************************************************************************************
