*************************************************************************************
*														*
*	Sound routines.											*
*														*
*	load the sounds											*
*	play the intro											*
*	play the start											*
*	play the click											*
*														*
*************************************************************************************
*
* initialise the sounds routine

sound_init
	LEA		sound_click(pc),a1	* point to the click sound file name
	MOVEQ		#0,d1				* index 0
	MOVEQ		#71,d0			* load the sound into memory
	TRAP		#15

	LEA		sound_intro(pc),a1	* point to the intro sound file name
	MOVEQ		#2,d1				* index 2
	MOVEQ		#71,d0			* load the sound into memory
	TRAP		#15

	LEA		sound_start(pc),a1	* point to the start sound file name
	MOVEQ		#4,d1				* index 4
	MOVEQ		#71,d0			* load the sound into memory
	TRAP		#15

	RTS


*************************************************************************************
*
* play click sound

play_click
	TST.w		play_sound(a3)		* test the sound flag
	BEQ.s		exit_play_click		* if the sound is off just exit

	MOVEQ		#0,d1				* index 0, click
play_again
	MOVEQ		#72,d0			* play a sound from memory
	TRAP		#15

	TST.w		d0				* did the click play
	BEQ.s		play_again			* loop if not

exit_play_click
	RTS


*************************************************************************************
*
* play start sound

play_start
	MOVEQ		#4,d1				* index 4, start
	BRA.s		play_a_sound		* go play the sound


*************************************************************************************
*
* play intro sound

play_intro
	MOVEQ		#2,d1				* index 2, intro
play_a_sound
	TST.w		play_sound(a3)		* test the sound flag
	BEQ.s		exit_play_a_sound		* if the sound is off just exit

	MOVEQ		#72,d0			* play a sound from memory
	TRAP		#15

exit_play_a_sound
	RTS


*************************************************************************************
*
* sound file names

sound_click
	dc.b	'click.wav',$00			* button press sound
sound_intro
	dc.b	'intro.wav',$00			* intro sound
sound_start
	dc.b	'start.wav',$00			* start sound
	ds.w	0					* ensure even


*************************************************************************************

